Fedora Core 2 : php-4.3.8-2.1 (2004-223)

This script is Copyright (C) 2004-2015 Tenable Network Security, Inc.


Synopsis :

The remote Fedora Core host is missing a security update.

Description :

This update includes the latest release of PHP 4, including fixes for
security issues in memory limit handling (CVE-2004-0594), and the
strip_tags function (CVE-2004-0595). CVE-2004-0595 is not known to be
exploitable in the default configuration if using httpd 2.0.50, but
can be triggered if the 'register_globals' setting has been enabled.
CVE-2004-0595 can allow a possible cross-site-scripting attack with
some browsers.

The mbstring extension has been moved into the php-mbstring subpackage
in this update to reduce the overall package size.

Note that Tenable Network Security has extracted the preceding
description block directly from the Fedora security advisory. Tenable
has attempted to automatically clean and format it as much as possible
without introducing additional issues.

See also :

http://www.nessus.org/u?dfe80132

Solution :

Update the affected packages.

Risk factor :

High

Family: Fedora Local Security Checks

Nessus Plugin ID: 13749 (fedora_2004-223.nasl)

Bugtraq ID:

CVE ID:

Ready to Amp Up Your Nessus Experience?

Get Nessus Professional to scan unlimited IPs, run compliance checks & more

Buy Nessus Professional Now